%define major		0
%define libname		%mklibname squish %{major}
%define develname	%mklibname squish -d

Name:		libsquish
Version:	1.15
Release:	%mkrel 1
Summary:	Open source DXT compression library
License:	MIT
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libsquish/
Source0:	http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz
Patch0:		libsquish-cmake_install.patch
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	libgomp-devel

%description
The libSquish library compresses images with the DXT standard
(also known as S3TC). This standard is mainly used by OpenGL and
DirectX for the lossy compression of RGBA textures.

#------------------------------------------------

%package -n	%{libname}
Summary:	Open source DXT compression library
Group:		System/Libraries

%description -n	%{libname}
The libSquish library compresses images with the DXT standard
(also known as S3TC). This standard is mainly used by OpenGL and
DirectX for the lossy compression of RGBA textures.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	squish-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -c libsquish-%{version}

%build
%cmake \
	-DBUILD_SQUISH_WITH_SSE2=OFF \
	-DBUILD_SHARED_LIBS=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.txt
%doc ChangeLog.txt
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README.txt
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Thu Apr 02 2020 daviddavid <daviddavid> 1.15-1.mga8
+ Revision: 1564014
- initial package libsquish

